﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_LoadData
{
    public partial class Form1 : Form
    {
        public DataSet Data { get; set; }
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.Data = this.generateData();
        }

        private DataSet generateData()
        {
            DataSet ds = new DataSet();

            DataColumn[] PrimaryColumn = new DataColumn[1];
            DataTable dt = new DataTable("People");
            PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Age", typeof(int));
            dt.Columns.Add("Prefecture", typeof(string));
            dt.Columns.Add("City", typeof(string));
            dt.Columns.Add("Note", typeof(string));

            for (int i = 0; i < 500000; i++)
            {
                dt.Rows.Add(i, $"Name {i}", 30, "Shizuoka", "Shizuoka City", "xxx");
            }
            dt.PrimaryKey = PrimaryColumn;
            ds.Tables.Add(dt);

            return ds;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.SetDataBinding(this.Data, "People");
        }
    }
}
